import { User } from '@prisma/client'
import { ApiProperty } from '@nestjs/swagger'

export class UserEntity implements User {
  @ApiProperty()
  id: string
  @ApiProperty()
  email: string
  @ApiProperty()
  username: string | null
  @ApiProperty()
  password: string
  @ApiProperty()
  createdAt: Date
  @ApiProperty()
  updatedAt: Date
}
