import '@nestjs/mapped-types'
import { ApiProperty } from '@nestjs/swagger'

export class Token {
  @ApiProperty()
  accessToken: string
  @ApiProperty()
  refreshToken: string
}

export class TokenPayload {
  userId: string
  /** Issued at */
  iat: number
  /** Expiration time */
  exp: number
}
